Gecode::Int::TaskViewIter< TaskView, sto, inc > Class Template Reference

Allows to iterate over task views according to a specified order. More...

`#include <task.hh>`

## Public Member Functions

| TaskViewIter (Region &r, const TaskViewArray< TaskView > &t)
| Initialize iterator.

## Protected Member Functions

| TaskViewIter (void)
| Default constructor (no initialization).

## Protected Attributes

int * | map
| Map for iteration order.
int | i
| Current position.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a task.
int | left (void) const
| How many tasks are left to be iterated.
void | operator++ (void)
| Move iterator to next task.

## Task access

int | task (void) const
| Return current task position.

## Detailed Description

template<class TaskView, SortTaskOrder sto, bool inc>
class Gecode::Int::TaskViewIter< TaskView, sto, inc >

Allows to iterate over task views according to a specified order.

Definition at line 309 of file task.hh.

## Constructor & Destructor Documentation

## TaskViewIter() [1/2]

template<class TaskView, SortTaskOrder sto, bool inc>

Gecode::Int::TaskViewIter< TaskView, sto, inc >::TaskViewIter | ( | void |  | ) |

inline protected

Default constructor (no initialization).

Definition at line 40 of file iter.hpp.

## TaskViewIter() [2/2]

template<class TaskView, SortTaskOrder sto, bool inc>

Gecode::Int::TaskViewIter< TaskView, sto, inc >::TaskViewIter | ( | Region & | r,
|  | const TaskViewArray< TaskView > & | t )

inline

Initialize iterator.

Definition at line 45 of file iter.hpp.

## Member Function Documentation

## operator()()

template<class TaskView, SortTaskOrder sto, bool inc>

bool Gecode::Int::TaskViewIter< TaskView, sto, inc >::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a task.

Definition at line 52 of file iter.hpp.

## left()

template<class TaskView, SortTaskOrder sto, bool inc>

int Gecode::Int::TaskViewIter< TaskView, sto, inc >::left | ( | void |  | ) | const

inline

How many tasks are left to be iterated.

Definition at line 57 of file iter.hpp.

## operator++()

template<class TaskView, SortTaskOrder sto, bool inc>

void Gecode::Int::TaskViewIter< TaskView, sto, inc >::operator++ | ( | void |  | ) |

inline

Move iterator to next task.

Definition at line 62 of file iter.hpp.

## task()

template<class TaskView, SortTaskOrder sto, bool inc>

int Gecode::Int::TaskViewIter< TaskView, sto, inc >::task | ( | void |  | ) | const

inline

Return current task position.

Definition at line 68 of file iter.hpp.

## Member Data Documentation

## map

template<class TaskView, SortTaskOrder sto, bool inc>

int* Gecode::Int::TaskViewIter< TaskView, sto, inc >::map

protected

Map for iteration order.

Definition at line 312 of file task.hh.

## i

template<class TaskView, SortTaskOrder sto, bool inc>

int Gecode::Int::TaskViewIter< TaskView, sto, inc >::i

protected

Current position.

Definition at line 314 of file task.hh.

The documentation for this class was generated from the following files:

- gecode/int/task.hh
- gecode/int/task/iter.hpp